/*
 * Java Template Project
 * 
 * Copyright (C) 2006 Satoshi Nagashiba, All Rights Reserved.
 */
package org.jtp.entity;

/**
 * UIから選択可能なオブジェクトを示すインタフェースです。
 * 
 * @author <a href="mailto:sato-vista@tbb.t-com.ne.jp">Satoshi Nagashiba</a>
 * @version $Revision: 271 $ $Date: 2008-06-17 00:18:00 +0900 $
 */
public interface Selectable {

    /**
     * 選択時の値として使用できる識別子を返します。
     * @return 選択時の値として使用できる識別子
     */
    public Object getValue();

    /**
     * 選択時に表示させる文字列を返します。
     * @return 選択時に表示させる文字列
     */
    public String getLabel();
}
