/*
 * Java Template Project
 * 
 * Copyright (C) 2006 Satoshi Nagashiba, All Rights Reserved.
 */
package org.jtp.dao.mail;

import java.util.List;

import org.jtp.SampleException;
import org.jtp.entity.mail.MailAddressTable;



/**
 * データアクセスインターフェースです。
 * 
 * @author <a href="mailto:sato-vista@tbb.t-com.ne.jp">Satoshi Nagashiba</a>
 */
public interface MailAddressTableDao {
	
	/**
	 * 検索します。
	 * @return エンティティのリスト
	 * @throws SampleException システム一般例外
	 */
	@SuppressWarnings("unchecked")
    public List findAll() throws SampleException;
    
	/**
	 * 登録します。
	 * @param mailAddressTable エンティティ
	 * @throws SampleException システム一般例外
	 */
    public void save(MailAddressTable mailAddressTable) throws SampleException;
    
	/**
	 * 更新します。
	 * @param mailAddressTable エンティティ
	 * @throws SampleException システム一般例外
	 */
    public void update(MailAddressTable mailAddressTable) throws SampleException;
    
	/**
	 * 削除します。
	 * @param mailAddressTable エンティティ
	 * @throws SampleException システム一般例外
	 */
    public void delete(MailAddressTable mailAddressTable) throws SampleException;
}
